#### D.15.3.47 rHRR

Procedure from library `chern.lib` (see chern_lib).

Usage:
  rHRR( N, ch, td); N integer, ch, td lists of polynomials

Return:
  polynomial

Purpose:
  computes the the main ingredient of the right-hand side of the Hirzebruch-Riemann-Roch formula

Note:
  in order to get the right-hand side of the HRR formula
  one needs to be able to compute the degree of the output of this procedure

Example:

    LIB "chern.lib";
    ring r=0, (td(0..3), ch(0..3)), dp;
    // Let ch(0), ch(1), ch(2), ch(3) be the terms of the Chern character
    // of a vector bundle E on a 3-fold X.
    list c = ch(0..3);
    // Let td(0), td(1), td(2), td(3) be the terms of the Todd class of X.
    list t = td(0..3);
    // Then the highest term of the product ch(E).td(X) is:
    print( rHRR(3, c, t) );
    ==> td(3)*ch(0)+td(2)*ch(1)+td(1)*ch(2)+td(0)*ch(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.